# Security Advisories

Security advisories are:
> the references and databases where issues concerning the security of software
> projects or products are posted to, making them easily available to the
> public.

(from https://www.whitesourcesoftware.com/resources/blog/security-advisories/)

> The mission of the CVE® Program is to identify, define, and catalog publicly
> disclosed cybersecurity vulnerabilities.

(from https://www.cve.org/About/Overview)


CVE Numbering Authorities (CNAs) are:
> software vendors, open source projects, coordination centers, bug bounty
> service providers, hosted services, and research groups authorized by the CVE
> Program to assign CVE IDs to vulnerabilities and publish CVE Records within
> their own specific scopes of coverage.

(from https://www.cve.org/ProgramOrganization/CNAs)


## About

`security-advisories` provides interface for interacting with CNAs and other
security advisory services. Possible usecases are:
1. As an admin I want to download recent CPE Dictionary from NIST NVD
2. As an admin I want to enumerate CVEs for given package or software etc.


## See also

* https://nvd.nist.gov/
* https://www.cve.org/About/Overview
* https://www.cve.org/ProgramOrganization/CNAs
* https://www.whitesourcesoftware.com/resources/blog/security-advisories/
