/*
 * SPDX-License-Identifier: MPL-2.0
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

use security_advisories::http::get_client;
use security_advisories::service::fetch_known_exploited_vulns;
use std::error::Error;

pub async fn execute() -> Result<(), Box<dyn Error>> {
    let client = get_client(Some(format!(
        "{} {}",
        env!("CARGO_BIN_NAME"),
        env!("CARGO_PKG_VERSION")
    )))?;
    let known_exploited_vulns = fetch_known_exploited_vulns(&client).await;

    println!("{}", known_exploited_vulns?);
    Ok(())
}
